Bug 9091 - %files -f doesn't work like it should
Summary: %files -f doesn't work like it should
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-03 12:07 UTC by Oliver Jones
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 12:19:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Jones 2000-02-03 12:07:51 UTC
This probably isn't a bug but it is one hell of a pain in the ass.

%files -f doesn't support absolute path names.

When using the RPM spec directive:

%files -f /tmp/%{name}-%{version}-file.list

All I ever get is:

Could not open file: /tmp/pkgname-x.x-file.list

This is SO annoying as it is not specified anywhere (that I can find) where
the file list pointed to by -f should be and so far I've not figured out
where to put it.

Comment 1 Elliot Lee 2000-02-03 18:45:59 UTC
The file name is relative to the build directory
(/usr/src/redhat/BUILD/pkgname-version/)

Comment 2 Jeff Johnson 2000-02-07 22:03:59 UTC
This has been the behavior of rpm from inception AFAIK. I'll try to permit
an absolute file name after rpm-3.0.4 is released.

Comment 3 Oliver Jones 2000-02-08 03:01:59 UTC
Even if absolute paths names are not possible.  Just changing the error message
to provide the full path that rpm tried to open (rather than just the supplied
string) would help in debuging.  In my case I was making a package that didn't
have a BUILD/%{name}-%{version}/ directory hence I could not find where to put
the file list.

Comment 4 Jeff Johnson 2000-02-22 10:39:59 UTC
Fixed in CVS, will be in rpm-3.0.4-0.43.

FWIW, using absolute paths in a spec file is almost always the wrong thing to
do.

Comment 5 Oliver Jones 2000-02-22 11:12:59 UTC
Well.  In this case it would have helped _a lot_.  There is always a case for
doing something 'different'.  Supporting the 'different' behaviour doesn't mean
advocating it.

Comment 6 Jeff Johnson 2001-05-22 18:20:37 UTC
This problem appears to be resolved. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.